package com.prolog.cs.biz.outbound.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel
public class WaveDistributeDTO {

    @ApiModelProperty(value = "波次id集合",required = true)
    List<String> wavesIds;

    @ApiModelProperty(value = "波次分组id集合")
    List<String> wavesGroupIds;

    @ApiModelProperty(value = "订单id")
    String billId;

    @ApiModelProperty(value = "红冲明细")
    List<RedDTO> redDTOs;

    public String getBillId() {
        return billId;
    }

    public void setBillId(String billId) {
        this.billId = billId;
    }

    //    @ApiModelProperty(value = "仓id集合")
//    List<String> warehouseIds;

    public List<String> getWavesIds() {
        return wavesIds;
    }

    public void setWavesIds(List<String> wavesIds) {
        this.wavesIds = wavesIds;
    }

    public List<String> getWavesGroupIds() {
        return wavesGroupIds;
    }

    public void setWavesGroupIds(List<String> wavesGroupIds) {
        this.wavesGroupIds = wavesGroupIds;
    }

    public List<RedDTO> getRedDTOs() {
        return redDTOs;
    }

    public void setRedDTOs(List<RedDTO> redDTOs) {
        this.redDTOs = redDTOs;
    }
//    public List<String> getWarehouseIds() {
//        return warehouseIds;
//    }
//
//    public void setWarehouseIds(List<String> warehouseIds) {
//        this.warehouseIds = warehouseIds;
//    }
}
